none
UWP errors "Not compatible with UAP" RRS feed

  • Question


  • So I've this bunch of errors in my UWP project. I've used two days on getting my UWP project to work, but errors keep coming up on me. 

    Since my laptop died yesterday I'm trying to set up the project on my desktop at home.
    I've installed Win10 and VS15. After I got the error I uninstalled both VS15 and the old VS13 and re-installed VS15 Enterprise again. 

    One of them was a deployment error. This is fixed with running on Any CPU instead of x86. 

    Afterwards, I got this error:
    "Your project.json doesn't list 'win10' as a targeted runtime. You should add "win10": { }" inside your "runtimes" section in your project.json and then re-ren NuGet resre.

    I've done both, but now I got some third errors (listed below this post).This one keeps driving me mad. Like there's a module or .NET or something that is wrong.

    Beside this, I can't delete the project folder since the "application is open in another program" - even I've closed everything (never a problem on my laptop). I need to reboot my PC if I want to delete the folder and get a new project from Git. 

    I can't add images yet, since my account is not verified (and I don't get an email ..) 
    But the errors are here:

    "The processor architecture of the project being built "Any CPU" is not supported by the referenced SDK "Microsoft.VCLibs, Version=14.0". Please consider changing the targeted processor architecture of your project (in Visual Studio this can be done through the Configuration Manager) to one of the architectures supported by the SDK: "x86, x64, ARM". AutoSysClient"

    "The processor architecture of the project being built "Any CPU" is not supported by the referenced SDK "Microsoft.NET.CoreRuntime, Version=1.0". Please consider changing the targeted processor architecture of your project (in Visual Studio this can be done through the Configuration Manager) to one of the architectures supported by the SDK: "x86, x64, ARM". AutoSysClient

    Some packages are not compatible with UAP,Version=v10.0 (win10).

    Some packages are not compatible with UAP,Version=v10.0 (win10).

    Microsoft.NETCore.Portable.Compatibility 1.0.0 provides a compile-time reference assembly for mscorlib on UAP,Version=v10.0, but there is no run-time assembly compatible with win10.

    Microsoft.NETCore.Portable.Compatibility 1.0.0 provides a compile-time reference assembly for mscorlib on UAP,Version=v10.0, but there is no run-time assembly compatible with win10.

    Any solutions?

    Saturday, December 5, 2015 6:04 PM

Answers

All replies